#include "colors.inc"
#include "pint.pov"
#include "beer.pov"
#include "bar.pov"

global_settings {max_trace_level 10} 

#declare cloc=<0,8,-10>
#declare lat=<0,4,0>
#declare beer=1
#declare glass=1

sky_sphere {
	pigment {color rgb < 0.9412, 0.9725, 1.0 >}
	
}

plane { y , 0 pigment { White } 
	translate -y * 0.0001
} 

camera { 
	location cloc
	look_at lat
}

light_source {
	<8,20,-2> 
	color White
}

light_source {
	<0,10,-2> 
	color White
}

light_source {
	cloc
	color White
}

#ifdef (glass)
object { 
	pint_glass
	translate y * 0.50001
}
#end

#ifdef (beer)
intersection {
	object { pint_glass_inside }
	plane { y , 5  }
	texture { lager }
	scale 0.99
	translate <0,0.50001,0>
}


intersection {
	union { 
		object { pint_glass_inside }
		plane { y, 5.625 inverse }
	} 
	superellipsoid { < 1, 0.65> 
		rotate 90 * x
		scale <1.6251,1,1.6251>
		translate 5 * y
	}
	plane { y, 5.0  inverse }
	texture { foam }
	scale 0.99
	translate <0,0.5002,0>
}

#end

box {
	<-6*12,0,-6> <6*12,0.5,6>
	texture { bar_wood }
}


